<template>
    <div v-if="!loading">
        <nuxt-child/>

        <div class="col-lg-12 col-md-12 col-xs-12" style="height: 48px; width: 100%;">
            <img src="../../../assets/svg/my-plan.svg" alt="plan" class="section-title-image" align="right"/>
            <h1 class="service-plan-heading">پلن‌های پیشنهادی</h1>
        </div>

        <plan v-bind.sync="planData"/>

        <div class="notice"><p>توجه داشته باشید قیمت‌ پلن‌ها به صورت ماهیانه محاسبه می‌شوند</p></div>

        <div class="row">
            <div class="vol-lg-8 col-sm-8 col-md-8 col-xs-12" style="position: relative">

                <div class="col-lg-12 col-md-12 col-xs-12" style="height: 48px; width: 100%;margin-top: 30px">
                    <img src="../../../assets/svg/plan-customization.svg" alt="plan" class="section-title-image"
                         align="right"/>

                    <h1 class="service-plan-heading">شخصی‌سازی پلن</h1>
                </div>

                <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12 plan-feature-title">

                    <h3 class="customization-title">حافظه تصادفی (رم)</h3>
                    <div></div>

                </div>

                <div class="row col-lg-12 col-md-12 col-sm-12 col-xs-12" style="margin-top: 16px;">

                    <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3" style="height: 100%;">
                        <img style="transform: rotate(-45deg)" class="feature-image"
                             src="../../../assets/svg/ic-memory.svg" alt="memory"></img>
                    </div>

                    <div class="col-lg-10 col-md-10 col-sm-10 col-xs-9"
                         style="display: block; float: right; position: relative;">

                        <p class="col-lg-12 col-md-12 col-sm-12 col-xs-12"
                           style="margin: 0;color: #2979ff; font-size: 0.9em">
                            به ازای هر گیگابایت رم٬ نیم هسته پردازنده به شما تعلق خواهد گرفت
                        </p>

                        <div class="row col-lg-12 col-sm-12 col-md-12 col-xs-12"
                             style="display: flex; margin-top: 16px;float: left;">

                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 feature-label-container">
                                <label class="feature-label">
                                    <input class="input" value="cpu" v-model="cpu" disabled
                                           style="color: #606060;">
                                    هسته
                                </label>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 feature-label-container">


                                <div style="display: block; width: 16px; margin: auto 0 auto 7px;">
                                    <div v-on:click="incMemory" class="man-button" style="margin: 0 0 2px 0;">
                                        <img alt="plus"
                                             src="../../../assets/svg/ic-plus.svg"/>
                                    </div>

                                    <div v-on:click="decMemory" class="man-button" style="margin: 2px 0 0 0">
                                        <img alt="minus"
                                             src="../../../assets/svg/ic-minus.svg"/>
                                    </div>
                                </div>

                                <label class="feature-label">
                                    <input
                                            disabled
                                            class="input"
                                            type="number"
                                            value="planData.memory"
                                            v-model="planData.memory">
                                    گیگابایت
                                </label>
                            </div>

                            <vue-slider class="col-lg-12 col-md-12 col-sm-12 col-xs-12"
                                        style="margin-top: 20px;"
                                        v-model="planData.memory"
                                        v-bind="memoryOptions"/>
                            <div class="range-title">
                                <p>{{memoryRangeMin}}</p>
                                <p style="float: left;">{{memoryRangeMax}}</p>
                            </div>

                            <p class="col-lg-12 col-md-12 col-sm-12 col-xs-12"
                               style="margin: 0;color: #3ccc38; font-size: 11px">
                                هزینه هر گیگابایت رم ۶۰ هزارتومان است</p>
                        </div>

                    </div>
                </div>

                <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12 plan-feature-title">

                    <h3 class="customization-title">حافظه ذخیره‌سازی</h3>
                    <div></div>

                </div>

                <div class="row col-lg-12 col-md-12 col-sm-12 col-xs-12" style="margin-top: 16px;">

                    <div class="col-lg-2 col-md-2 col-sm-2 col-xs-3" style="height: 100%;">
                        <img class="feature-image"
                             src="../../../assets/svg/ic-dedicated-volume.svg" alt="zone"></img>
                    </div>

                    <div class="col-lg-10 col-md-10 col-sm-10 col-xs-9"
                         style="display: block; float: right; position: relative;">
                        <div class="row col-lg-12 col-sm-12 col-md-12 col-xs-12"
                             style="display: flex; margin-top: 16px;float: left;">

                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 feature-label-container">

                                <div style="display: block; width: 16px; margin: auto 0 auto 7px; box-shadow: transparent">
                                    <div v-on:click="incDedicatedVolume" class="man-button" style="margin: 0 0 2px 0;">
                                        <img alt="plus"
                                             src="../../../assets/svg/ic-plus.svg"/>
                                    </div>

                                    <div v-on:click="decDedicatedVolume" class="man-button" style="margin: 2px 0 0 0">
                                        <img alt="minus"
                                             src="../../../assets/svg/ic-minus.svg"/>
                                    </div>
                                </div>

                                <label class="feature-label">
                                    <input class="input"
                                           type="number"
                                           disabled
                                           value="planData.dedicatedVolume"
                                           v-model="planData.dedicatedVolume">
                                    گیگابایت
                                </label>
                            </div>

                            <vue-slider class="col-lg-12 col-md-12 col-sm-12 col-xs-12"
                                        style="margin-top: 20px;"
                                        v-model="planData.dedicatedVolume"
                                        v-bind="dedicatedVolumeOptions"/>

                            <div class="range-title">
                                <p>{{dedicatedVolumeMin}}</p>
                                <p style="float: left;">{{dedicatedVolumeMax}}</p>
                            </div>

                            <p v-if="planData.dedicatedVolume < 10"
                               style="margin: auto;color: white; font-size: 11px; text-align: center;
                               background-color: orangered; border-radius: 25px; padding: 7px 12px">
                                حداقل میزان فضای قابل سفارش ۱۰ گیگابایت می‌باشد!</p>

                            <p class="col-lg-12 col-md-12 col-sm-12 col-xs-12"
                               style="margin: 16px 0 0 0;color: #3ccc38; font-size: 11px">
                                هزینه هر گیگابایت حافظه ذخیره‌سازی ۱۲۰۰ تومان است</p>

                        </div>

                    </div>
                </div>

                <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12 plan-feature-title">

                    <h3 class="customization-title">ویژگی‌های رایگان</h3>
                    <div></div>

                </div>

                <div class="between-xs free-features-container">

                    <Feature v-for="(feature, index) in features"
                             :key="index"
                             :item="feature"/>

                </div>
            </div>

            <div class="container-fluid col-md-4 col-lg-4 col-sm-4 col-xs-12" :class="['checkout-box', {open}]">
                <div :class="['row' , (open ? 'expanded-invoice' : 'collapsed-invoice')]" class="row"
                     style="margin-bottom: -1px;">
                    <div class="one" @click="translateCheckoutBox" style="cursor: pointer">
                        <img src="../../../assets/svg/arrow.svg" alt="arrow" style="cursor: pointer"></img>
                    </div>
                    <div class="two">

                    </div>

                </div>
                <div class="row" style="background-color: #fefefe">
                    <div style="flex: 1">
                        <p class="checkout-section-title">حافظه تصادفی (رم)</p>
                        <div style="display: flex;">
                            <div style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    فعلی:
                                </p>
                                <p v-if="memory > 0.49" style="font-family: iran-sans; color: #2979ff; text-align: center; line-height: 2; margin: 0">
                                    {{memory}} گیگ
                                </p>
                            </div>

                            <div v-if="planData.memory > 0" style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    سفارش:
                                </p>
                                <p style="font-family: iran-sans; font-weight: normal; text-align: center; line-height: 2; margin: 0">
                                    {{planData.memory}} گیگ
                                </p>
                            </div>
                        </div>

                    </div>

                    <div style="flex: 1">
                        <p class="checkout-section-title">حافظه ذخیره‌سازی</p>
                        <div style="display: flex">
                            <div style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    فعلی:
                                </p>
                                <p style="font-family: iran-sans; color: #2979ff; text-align: center; line-height: 2; margin: 0">
                                    {{dedicatedVolume}} گیگ
                                </p>
                            </div>

                            <div style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    سفارش:
                                </p>
                                <p style="font-family: iran-sans; font-weight: normal; text-align: center; line-height: 2; margin: 0">
                                    {{(planData.dedicatedVolume >= 10 ? planData.dedicatedVolume : 0)}} گیگ
                                </p>
                            </div>
                        </div>
                    </div>

                    <div style="flex: 1">
                        <p class="checkout-section-title">مبلغ نهایی (تومان)</p>
                        <div style="display: flex">
                            <div style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    فعلی:</p>

                                <p style="width: 100%; text-align: center; font-family: iran-sans; color: #2979ff; line-height: 2; margin: 0">
                                    {{fixedTotal.toLocaleString()}}
                                </p>

                            </div>

                            <div style="flex: 1">
                                <p style="font-family: iran-yekan;font-weight: bold; padding: 0 16px; font-size: 15px; text-align: center; margin: 6px 0 0 0 ">
                                    سفارش:</p>
                                <p style="width: 100%; text-align: center; font-family: iran-sans;line-height: 2; margin: 0">
                                    {{total}}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row"
                     style="display: block; padding-left: 16px; padding-right: 16px; padding-top: 16px; background-color: #fefefe">
                    <span>
                        کد تخفیف:
                        <v-text-field
                                type="text"
                                style=" direction: rtl !important;"
                                dir="ltr"
                                :placeholder="'کد تخفیف را اینجا وارد نمایید'"
                                v-model="finalBill.voucher_code">

                        </v-text-field>
                    </span>

                </div>

                <div class="row" style="background-color: #fefefe">
                    <button class="checkout" @click="pushUrl">
                        ثبت نهایی و پرداخت
                    </button>
                </div>

            </div>
        </div>
    </div>
</template>

<script>
    import PanelBox from "~/components/Dashboard/plans/panel-box/section-box.vue";
    import FPanels from "~/components/Dashboard/plans/panel-box";
    import FActivePlan from "~/components/Dashboard/plans/active-plan/panel";
    import FActivePlanBox from "~/components/Dashboard/plans/active-plan";
    import {getValue} from "~/utils/cookie";
    import Image from "../services/image";
    import Plan from "~/components/Plan";
    import Moment from 'moment-jalaali';
    import Feature from '~/components/Plan/feature.vue';
    import 'vue-slider-component/theme/default.css';
    import ErrorReporter from "~/utils/ErrorReporter";

    export default {
        layout: "dashboard",
        name: "plans",

        data: function () {
            return {
                planData: {
                    memory: .5,
                    cpu: 0.5,
                    dedicatedVolume: 0,
                },
                isCollapsed: false,
                dedicatedVolumeMin: '10GB',
                dedicatedVolumeMax: '1TB',
                memoryRangeMin: '1GB',
                memoryRangeMax: '64GB',
                quota: {},
                finalBill: {
                    memory: 0,
                    dedicatedVolume: 0,
                    voucher_code: null
                }, features: [
                    {title: 'Load Balancer', subtitle: 'رایگان', image: 'load-balancer.png'},
                    {title: 'پهنای باند', subtitle: 'رایگان', image: 'band-width.svg'},
                    {title: 'گواهی‌نامه SSL', subtitle: 'رایگان', image: 'free-ssl.svg'},
                    {title: 'Health Check', subtitle: 'رایگان', image: 'healthcheck.svg'},
                    {title: ' استفاده از رجیستری دلخواه', subtitle: 'رایگان', image: 'favorite-image-registry.svg'},
                    {title: ' رجیستری اختصاصی', subtitle: 'رایگان', image: 'free-image-registry.svg'}
                ], memoryOptions: {
                    dotSize: 25,
                    width: 'auto',
                    height: 19,
                    contained: false,
                    direction: 'rtl',
                    interval: 0.5,
                    min: 0.5,
                    max: 64,
                    disabled: false,
                    clickable: true,
                    tooltip: 'none',
                    useKeyboard: false,
                    enableCross: true,
                    fixed: false,
                    included: true,
                    order: true,
                    process: true,
                    dotStyle: {backgroundColor: '#24d5d8', boxShadow: '0 0 6px 0 rgba(0, 0, 0, 0.17)'},
                    railStyle: {backgroundColor: 'rgba(173, 173, 173, 0.3)', cursor: 'pointer'},
                    processStyle: {backgroundImage: 'linear-gradient(to right, #2979ff, #24d5d8)'},
                    labelStyle: {
                        color: '#2979ff',
                        fontFamily: 'iran-yekan',
                        fontWeight: 'bold',
                        letterSpacing: 'normal'
                    }
                }, dedicatedVolumeOptions: {
                    dotSize: 25,
                    width: 'auto',
                    height: 19,
                    contained: false,
                    direction: 'rtl',
                    min: 0,
                    max: 1000,
                    interval: 1,
                    disabled: false,
                    clickable: true,
                    duration: 0.5,
                    tooltip: 'none',
                    useKeyboard: false,
                    enableCross: true,
                    fixed: false,
                    included: true,
                    order: true,
                    process: true,
                    dotStyle: {backgroundColor: '#24d5d8', boxShadow: '0 0 6px 0 rgba(0, 0, 0, 0.17)'},
                    railStyle: {backgroundColor: 'rgba(173, 173, 173, 0.3)', cursor: 'pointer'},
                    processStyle: {backgroundImage: 'linear-gradient(to right, #2979ff, #24d5d8)'},
                    labelStyle: {
                        color: '#2979ff',
                        fontFamily: 'iran-yekan',
                        fontWeight: 'bold',
                        letterSpacing: 'normal'
                    }
                }
            }
        },
        components: {
            Image,
            PanelBox,
            FPanels,
            FActivePlan,
            FActivePlanBox,
            Plan,
            Moment,
            Feature
        },
        computed: {
            open() {
                return this.isCollapsed;
            },
            memory() {
                if (this.quota === null) {
                    return 0;
                } else {
                    return parseFloat(Math.fround(this.quota.memory_limit / 1024).toExponential(1))

                }
            },
            dedicatedVolume() {
                if (this.quota === null) {
                    return 0;
                } else {
                    return this.quota.volume_limit;
                }
            },
            namespace() {
                return getValue("namespace");
            },
            activePlan() {
                return this.$store.state.plan.activePlan;
            },
            percent() {
                let percent = Math.round(
                    (this.activePlan.current_used_resources.memory_usage /
                        this.activePlan.quota.memory_limit) *
                    100
                );
                return percent.toString();
            }, cpu() {
                this.planData.cpu = Math.max(this.planData.memory / 2, 0.5);
                return Math.max(this.planData.memory / 2, 0.5);
            }, total() {
                let temp = this.planData.memory * 60000 + (this.planData.dedicatedVolume >= 10 ? this.planData.dedicatedVolume * 1200 : 0);
                return temp.toLocaleString()
            }, fixedTotal() {
                return Math.round(this.quota.memory_limit / 1024) * 60000 + this.quota.volume_limit * 1200;
            }
        },
        loading() {
            return this.$store.state.loading;
        },
        destroyed() {
            this.$store.commit("plan/SET_DATA", {data: null, id: "activePlan"});
        },
        created() {
            this.$store.commit("SET_DATA", {data: true, id: "loading"});
            this.requestActivePlan();
        },
        methods: {
            translateCheckoutBox() {
                if (this.isCollapsed) {
                    this.isCollapsed = false;
                } else {
                    this.isCollapsed = true;
                }
            },
            incMemory() {
                if (this.planData.memory < this.memoryOptions.max) {
                        this.planData.memory += 0.5;
                }
            }, decMemory() {
                if (this.planData.memory > this.memoryOptions.min) {
                        this.planData.memory -= 0.5;
                }

            }, incDedicatedVolume() {
                if (this.planData.dedicatedVolume < this.dedicatedVolumeOptions.max)
                    this.planData.dedicatedVolume += 1;
            }, decDedicatedVolume() {
                if (this.planData.dedicatedVolume > this.dedicatedVolumeOptions.min)
                    this.planData.dedicatedVolume -= 1;
            }, makeBill() {
                this.finalBill.memory = this.planData.memory;
                console.log(this.finalBill.memory)
                if (this.planData.dedicatedVolume >= 10) {
                    this.finalBill.dedicatedVolume = this.planData.dedicatedVolume;
                }
                if (this.quota !== null) {
                    if (parseFloat(Math.fround(this.quota.memory_limit / 1024).toExponential(1)) >= 0.5) {
                        this.finalBill.memory += parseFloat(Math.fround(this.quota.memory_limit / 1024).toExponential(1));
                    }
                    if (this.quota.volume_limit > 0) {
                        this.finalBill.dedicatedVolume += this.quota.volume_limit;
                    }
                }

                console.log(this.finalBill)
                return this.finalBill;
            },
            async pushUrl() {
                // this.$ga.event({
                //     eventCategory: "plan",
                //     eventAction: "click plan",
                //     eventLabel: "plan index",
                //     eventValue: index
                // });
                const bill = this.makeBill();

                await this.$store.dispatch("plan/requestPlan", bill)
                    .then(planRespose => {
                        this.$store.commit("SET_DATA", {data: false, id: "loading"});
                        this.$router.push(`plans/bill/${planRespose.invoice.id}`);
                    }).catch(e => {
                        if (e.status === 401) {
                            this.$router.push("/user/login");
                        } else {
                            ErrorReporter(e, this.$data, true).forEach(error => {
                                this.$notify({
                                    title: error,
                                    time: 4000,
                                    type: "error"
                                });
                            });
                        }
                    });

            },
            async requestActivePlan() {
                try {
                    let plan = await this.$store.dispatch('getNameSpace', this.namespace);
                    this.quota = plan.quota;
                    this.$store.commit("SET_DATA", {data: false, id: "loading"});
                } catch (e) {
                    this.$store.commit("SET_DATA", {data: false, id: "loading"});
                    if (e.status === 401) {
                        this.$router.push("/user/login");
                    } else {
                        ErrorReporter(e, this.$data, true).forEach(error => {
                            this.$notify({
                                title: error,
                                time: 4000,
                                type: "error"
                            });
                        });
                    }
                }
            }
        },
        mounted() {
            this.$ga.event({
                eventCategory: "plan",
                eventAction: "see list plan"
            });
        }
    };
</script>


<style lang="stylus" scoped>


    .service-plan-heading
        font-family: iran-yekan
        font-size 18px
        min-width 220px
        line-height 48px
        height 48px
        margin 0
        letter-spacing normal
        text-align right
        color #7c7c7c

    @font-face
        font-style normal
        font-family roboto-bold
        src url('~/assets/fonts/Roboto-Bold.ttf')

    @font-face
        font-style normal
        font-family roboto
        src url('~/assets/fonts/Roboto-Regular.ttf')

    .customization-title
        height 32px
        font-family iran-yekan
        font-size 1.2em
        font-style normal
        display inline-flex
        line-height 32px
        margin auto
        letter-spacing normal
        color #2979ff

    .man-button
        border-radius 25px
        display inline-flex
        width 16px
        height 16px
        box-shadow transparent
        background-color #24d5d8
        cursor: pointer

        img
            display flex
            margin auto
            pointer-events none
            filter invert(100%)
            width 10px
            height 10px
            box-shadow transparent
            user-select none
            cursor: pointer

    .checkout-box
        position sticky
        border-radius 3px
        box-shadow 0 2px 6px 0 rgba(0, 0, 0, 0.07)
        width 100%
        max-height min-content
        top 60px
        bottom 20px
        margin-top 30px
        transition max-height 0.2s ease
        z-index 10

        @media only screen and (max-width: 1200px)
            bottom 0
            box-shadow 0 -3px 6px 0 rgba(0, 0, 0, 0.17)

        @media only screen and (max-width: 768px)
            bottom 0
            max-height 70px
            z-index 999999998
            box-shadow 0 -3px 6px 0 rgba(0, 0, 0, 0)
            &.open
                z-index 1000000000
                max-height 270px

        @media only screen and (max-width: 450px)
            bottom 0
            max-height 70px
            box-shadow 0 -3px 6px 0 rgba(0, 0, 0, 0)
            z-index 999999998
            &.open
                z-index 1000000000
                max-height 450px


        button.checkout
            width 100%
            height 40px
            border-radius 3px
            margin-bottom 16px
            margin-right 16px
            margin-left 16px
            border none
            color #fefefe
            outline none
            cursor pointer
            box-shadow 0 3px 6px 0 rgba(60, 204, 56, 0.42)
            background-color #3ccc38
            font-family iran-yekan
            font-size 14px
            @media only screen and (max-width: 900px)
                height 35px
                margin-bottom 12px
                margin-right 16px
                margin-left 16px
            @media only screen and (max-width: 600px)
                max-height 73px


    .section-title-image
        width 48px
        height 100%
        vertical-align center
        margin-left 12px
        filter invert(60%) sepia(44%) saturate(4202%) hue-rotate(208deg) brightness(102%) contrast(101%)

    .plan-feature-title
        display inline-flex
        flex-direction row
        height 32px
        width 100%
        margin-top 60px
        white-space nowrap

        div
            height 1px
            margin auto 12px auto auto
            right 12px
            width 100%
            display inline-flex
            background-color #7c7c7c

    .feature-image
        width 80%
        max-width 150px
        margin-top 26px
        max-height 100px
        height 70%
        filter invert(60%) sepia(44%) saturate(4202%) hue-rotate(208deg) brightness(102%) contrast(101%)

    .free-features-container
        box-sizing border-box
        display flex
        flex 0 1 auto
        flex-direction row
        flex-wrap wrap

    .feature-label-container
        display inline-flex
        position relative
        margin-top 9px


    .feature-label
        font-family yekan-bold
        font-size .8em
        color #606060
        white-space nowrap
        width 100%


    .input
        border solid 1px #7c7c7c
        border-radius 3px
        background-color transparent
        width 70%
        height 35px
        direction ltr
        font-family 'iran-sans'
        padding 0 12px

        @media only screen and (max-width: 900)
            height 25px

    .range-title
        box-sizing content-box
        position relative
        width 100%
        margin-top -8px
        margin-bottom 16px

        p
            color #2979ff
            font-family iran-yekan
            font-size 1em
            font-weight bold
            margin 0
            display inline-block

    .checkout-section-title
        text-align center
        background-color #2979ff
        margin: 0
        padding-top 10px
        padding-bottom 10px
        color #fff
        @media only screen and (min-width: 900px)
            border-radius 0 !important

    .expanded-invoice
        @media only screen and (min-width: 768px)
            display none

        div.one
            margin-left: auto;
            margin-right: auto;
            height: 45px;
            width: 45px;
            display inline-flex
            background-color: #2979ff;
            border-radius: 25px;
            margin-bottom: -22px;
            cursor pointer
            box-shadow: 0 -2px 6px 0 rgba(0, 0, 0, 0.37);

            img
                display flex
                margin-bottom 13px
                margin-right auto
                margin-left auto
                transform rotate(90deg)

        div.two
            box-shadow 0 -2px 6px 0 rgba(0, 0, 0, 1)
            width 100%
            height 1px
            background-color #2979ff
            z-index -1

    .collapsed-invoice
        @media only screen and (min-width: 768px)
            display none

        div.one
            margin-left: auto;
            margin-right: auto;
            height: 45px;
            width: 45px;
            display inline-flex
            background-color: #2979ff;
            border-radius: 25px;
            margin-bottom: -22px;
            cursor pointer
            box-shadow: 0 -2px 6px 0 rgba(0, 0, 0, 0.37);

            img
                display flex
                margin-bottom 13px
                margin-right auto
                margin-left auto
                transform rotate(-90deg)

        div.two
            box-shadow 0 -2px 6px 0 rgba(0, 0, 0, 1)
            width 100%
            height 1px
            background-color #2979ff
            z-index -1


    .notice
        margin-top 24px
        border-bottom 1px solid gray
        border-top 1px solid gray
        @media only screen and (max-width: 766px)
            margin-top 16px

        p
            font-family iran-yekan
            font-weight bold
            font-size 1em
            margin 0
            line-height 1.7 g
            padding 7px 16px

</style>


<style lang="css">

    .vue-slider-dot-handle {
        background-image: url("../../../assets/svg/arrow.svg");
        background-repeat: no-repeat;
        background-size: 8px;
        background-position: center;
        transform: rotate(180deg);
    }

</style>
